Skip to main content

Modify Alert

Request to be POSTed to uri : /NorenWClientAPI/ModifyAlert

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
tsym*Trading symbol
exch*Exchange Segment
ai_t*Alert Type, should be original alert type, can’t be modified.
al_id*Alert Id
validity*DAY or GTTValidity
dData to be compared with LTP
remarksAny message Entered during order entry.
sms_flagtrue or falseSMS flag
email_flagtrue or falseEmail flag
push_flagtrue or falsePush flag

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/ModifyAlert' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO","tsym":"ACC-EQ","exch":"NSE","ai_t":"LTP_A", "al_id":"26011900000004", "validity":"DAY" }'

Response Details :

Response data will have below fields.

Json FieldsPossible valueDescription
statalert success or failure indication.
request_timeThis will be present only in a successful response.
al_idAlert Id
emsgThis will be present only in case of errors.That is : 1) Invalid Input 2) Session Expired

Sample Success Response :

{
"request_time": "15:09:56 19-01-2026",
"stat": "OI replaced",
"al_id": "26011900000004"
}

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}